<?php

namespace Quivers\Integration\Observer;

use Magento\Framework\Event\ObserverInterface;
use Magento\Framework\Event\Observer as EventObserver;
use Psr\Log\LoggerInterface as Logger;
use Magento\Framework\Exception\CouldNotSaveException;


class OrderObserver implements ObserverInterface
{
    protected $logger;

    protected $scopeConfig;

    public function __construct(
        Logger $logger,
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
    ) {
        $this->logger = $logger;
        $this->scopeConfig = $scopeConfig;
    }

    public function execute(EventObserver $observer)
    {
        $order = $observer->getEvent()->getOrder();
        $method = $order->getPayment()->getMethod();
        if ($method != 'quivers_integration' && $method != 'quivers_integration_paypal')
            return;

        // Set the order status according to the configuration
        $storeScope = \Magento\Store\Model\ScopeInterface::SCOPE_STORE;
        $newOrderStatus = $this->scopeConfig->getValue("payment/quivers_stripe/order_status", $storeScope);
        if ($newOrderStatus) {
            $order->addStatusToHistory($newOrderStatus, __(''));
        }
    }
}
